Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class GenerateEclipseProject

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.eclipse.GenerateEclipseProject

    class GenerateEclipseProject
    extends XmlGeneratorTask

Generates an Eclipse `.project` file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via EclipseProject.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`EclipseProject` | `projectModel` model for eclipse project (.project) generation

Constructor Summary
`GenerateEclipseProject()`

Method Summary
`protected void` | `configure(Project project)`
`protected Project` | `create()`

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### projectModel

    EclipseProject projectModel

  model for eclipse project (.project) generation

Constructor Detail

### GenerateEclipseProject

    GenerateEclipseProject()

Method Detail

### configure

    @Override
    protected void configure(Project project)

### create

    @Override
    protected Project create()

Gradle API 1.1-rc-1